> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync Skills

> Force refresh of public skills from GitHub repository.

This triggers a git pull on the cached skills repository to get
the latest skills from the OpenHands/extensions repository.

Returns:
    SyncResponse indicating success or failure.



## OpenAPI

````yaml /openapi/agent-sdk.json post /api/skills/sync
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/skills/sync:
    post:
      tags:
        - Skills
      summary: Sync Skills
      description: |-
        Force refresh of public skills from GitHub repository.

        This triggers a git pull on the cached skills repository to get
        the latest skills from the OpenHands/extensions repository.

        Returns:
            SyncResponse indicating success or failure.
      operationId: sync_skills_api_skills_sync_post
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncResponse'
          description: Successful Response
      security:
        - APIKeyHeader: []
components:
  schemas:
    SyncResponse:
      description: Response from skill sync operation.
      properties:
        message:
          title: Message
          type: string
        status:
          enum:
            - success
            - error
          title: Status
          type: string
      required:
        - status
        - message
      title: SyncResponse
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.